FC2ブログ
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

久しぶりにOSXでmikutterを動かそうとしたらなんか動かなかったのでメモ。

起動までしか確認してないので日本語入力のこととかは割愛。

gemとか入れて起動すると、

/Library/Ruby/Gems/2.0.0/gems/glib2-2.2.0/lib/glib2.rb:105:in `require': dlopen(/Library/Ruby/Gems/2.0.0/gems/glib2-2.2.0/lib/glib2.bundle, 9): Library not loaded: /usr/local/opt/libffi/lib/libffi.6.dylib (LoadError)
以下略

とエラーが出る。指定したパスにライブラリがないということなので適当にシンボリックリンクで作る。
libffiだけでなく色々足りないと出るので何個かリンクした。
パスは人それぞれかもしれんのでfindなんかで調べてください。

ln -s /usr/local/Cellar/libffi/3.0.13/ /usr/local/opt/libffi
ln -s /usr/local/Cellar/atk/2.12.0/lib/libatk-1.0.0.dylib /usr/local/lib/
ln -s /usr/local/Cellar/cairo/1.12.16_1/lib/libcairo.2.dylib /usr/local/lib/
n -s /usr/local/Cellar/freetype/2.5.3_1/lib/libfreetype.6.dylib /usr/local/lib/
ln -s /usr/local/Cellar/fontconfig/2.11.1/lib/libfontconfig.1.dylib /usr/local/lib/

これで一応起動する(ハズ)。
で起動して認証したら落ちて、もう一度起動しなおしたら

mikutter/core/service_keeper.rb:123:in `final': bad decrypt (OpenSSL::Cipher::CipherError)

と出るようになった。なんかこれは$HOME/.mikutterを消して再認証してるうちに治った。謎。
スポンサーサイト

Thoughts on スポンサーサイトOSXでmikutter3.0.4を動かす的な

Leave a Reply

* 16文字以内
* 24文字以内
* 16文字以内
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。